#ifndef _CONFIG_H_
#define _CONFIG_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <malloc.h>
#include <assert.h>
#include <math.h>

#if _WIN32 || _WIN64
	typedef __int8 int8_t;
	typedef __int16 int16_t;
	typedef __int32 int32_t;
	typedef __int64 int64_t;
	typedef unsigned __int8 uint8_t;
	typedef unsigned __int16 uint16_t;
	typedef unsigned __int32 uint32_t;
	typedef unsigned __int64 uint64_t;
#else
	#include <stdint.h>
#endif

#define CPU_MODE 0
#define GPU_MODE 1

#define UNKNOWN_NEURON	  0
#define INHIBITORY_NEURON 1
#define EXCITATORY_NEURON 2

#define UNKNOWN_NEURON_MAX_FIRING_RATE    25
#define INHIBITORY_NEURON_MAX_FIRING_RATE 100
#define EXCITATORY_NEURON_MAX_FIRING_RATE 50

#define LTP(t)       (ALPHA_LTP*exp(-(t)/TAU_LTP))
#define LTD(t)       (ALPHA_LTD*exp(-(t)/TAU_LTD))

#define POST_SYN_NEURON_BITS	20									// last 20 bit denote neuron id. 1 Million neuron possible
#define POST_SYN_CONN_BITS		(32 - POST_SYN_NEURON_BITS)			// remaining 12 bits denote connection id
#define POST_SYN_NEURON_MASK   ( (1 << POST_SYN_NEURON_BITS) - 1)
#define POST_SYN_CONN_MASK	   ( (1 << POST_SYN_CONN_BITS) - 1)


#define SOME_LARGE_NEGATIVE_VALUE -(1 << 30)

#define S_SCALING		 (1.0f)
#define S_MAX			 (10.0f/S_SCALING)

#define HISTOGRAM_SIZE		100

#define DEBUG_LEVEL			1

//#define STP
#define STP_U_Inh 0.2
#define	STP_tD_Inh 5
#define	STP_tF_Inh 500
#define STP_U_Exc 0.2
#define	STP_tD_Exc 5
#define	STP_tF_Exc 500

//#define CONDUCTANCES
#define COND_tAMPA 5
#define COND_tNMDA 150
#define COND_tGABAa 6
#define COND_tGABAb 150

#endif
