close all;
numFiles=40;
filesep='\\';
fileName1=['Raster' filesep 'fireInfo1'];
fileName2=['Raster' filesep 'fireInfo2'];
sfName=['Histogram' filesep 'synhist'];
if(~exist('pauseTime'))
    pauseTime = 5;
end
figure;
i = 0;
while exist([fileName1 '_' num2str(i) '.m'],'file')
    f1=[fileName1 '_' num2str(i) '.m'];
    f2=[fileName2 '_' num2str(i) '.m'];
    s1=[sfName '_' num2str(i) '.m'];    
	clf;    
    run(f1);
    run(f2);
    run(s1); 
    subplot(2,2,2);
    %titleStr=sprintf('Reading %s%d.m', fileName1, i);
    %text(0.1, 0.8, titleStr,'EraseMode', 'background');
    %titleStr=sprintf('Reading %s%d.m', fileName2, i);    
    %text(0.1, 0.6, titleStr,'EraseMode','background');
    %titleStr=sprintf('Reading %s%d.m', sfName, i);    
    %text(0.1, 0.4, titleStr,'EraseMode','background');
    plot(firing0(:,1),firing0(:,2),'.');
    hold on;
    plot(firing1(:,1),firing1(:,2),'.');   
    titleStr=sprintf('SPIKING RASTER PLOT...\nsec=%d N = %d, M = %d,\nFilename:%s\\_%d.m', simTimeSec, N, M, fileName1, i);
    title(titleStr);    
    subplot(2,2,1);
    [b,dummy,j]=unique(firing0(:,2));
    firing0(:,2)=b(j);
    spikes = full(sparse(1,firing0(:,1)+1,1));
    plot(abs(fft(spikes-mean(spikes))));
    %plot(firing0(:,1),firing0(:,2),'.');
    %imagesc(full(sparse(floor(firing0(:,2)/max(firing0(:,2))*200)+1,floor(firing0(:,1)/5)+1,1)));
    hold on;
    %plot(firing1(:,1),firing1(:,2),'.');
    [b,dummy,j]=unique(firing1(:,2));
    firing1(:,2)=b(j);
    spikes = full(sparse(1,firing1(:,1)+1,1));
    plot(abs(fft(spikes-mean(spikes))),'g');
    title('1D FFT of spikes');
    hold off;   
    subplot(2,2,3);
    bar(synhist_s);    
    titleStr=sprintf('HISTOGRAM OF SYNAPTIC WEIGHTS...\nsec=%d N = %d, M = %d\nFilename: %s\\_%d.m', simTimeSec, N, M, sfName, i);    
    title(titleStr);
    subplot(2,2,4);
    bar(synhist_sd);
    titleStr=sprintf('HISTOGRAM OF SYNAPTIC WEIGHT DERIVATIVES\nsec=%d N = %d, M = %d...', simTimeSec, N, M);    
    title(titleStr);    
    pause(pauseTime); 
    clear synhist_s;
    clear synhist_sd;
    clear firing0;
    clear firing1;
    i=i+1;
    clear figure;   
end